Quantcast

HTML5 export broken in 9.0.0-dp-6?

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

HTML5 export broken in 9.0.0-dp-6?

prothero--- via use-livecode
 Is it just me or is HTML5 export not working in 9.0.0-dp-6? A stack that worked in 8.1.2 just a few minutes ago now throws an exception...

To use dlopen, you need to use Emscripten's linking support, see https://github.com/kripken/emscripten/wiki/Linking

...and I seem to get the same thing event with a brand new stack just containing a single button. In the past I only saw this error when I accidently included something in the stack that it didn’t like (like a widget or a substack). Any ideas?

Regards,

Terry...


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: HTML5 export broken in 9.0.0-dp-6?

prothero--- via use-livecode
Hi Terry,
This is a known issue, flagged in the release email (but not the release
notes unfortunately). Here is the bug:
http://quality.livecode.com/show_bug.cgi?id=19399

On Fri, Mar 17, 2017 at 7:04 AM Terry Judd via use-livecode <
[hidden email]> wrote:

>  Is it just me or is HTML5 export not working in 9.0.0-dp-6? A stack that
> worked in 8.1.2 just a few minutes ago now throws an exception...
>
> To use dlopen, you need to use Emscripten's linking support, see
> https://github.com/kripken/emscripten/wiki/Linking
>
> ...and I seem to get the same thing event with a brand new stack just
> containing a single button. In the past I only saw this error when I
> accidently included something in the stack that it didn’t like (like a
> widget or a substack). Any ideas?
>
> Regards,
>
> Terry...
>
>
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your
> subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode
_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: HTML5 export broken in 9.0.0-dp-6?

prothero--- via use-livecode
In reply to this post by prothero--- via use-livecode


On 17/03/2017 07:04, Terry Judd via use-livecode wrote:

> Is it just me or is HTML5 export not working in 9.0.0-dp-6? A stack
> that worked in 8.1.2 just a few minutes ago now throws an
> exception...
>
> To use dlopen, you need to use Emscripten's linking support, see
> https://github.com/kripken/emscripten/wiki/Linking
>
> ...and I seem to get the same thing event with a brand new stack
> just containing a single button. In the past I only saw this error
> when I accidently included something in the stack that it didn’t like
> (like a widget or a substack). Any ideas?

It's not just you!  It's a known issue in 9.0 DP 6.  From the release
announcement:

> HTML5 standalones built using this release are not functional. See
> bug http://quality.livecode.com/show_bug.cgi?id=19399 for more
> details.

                                               Peter

--
Dr Peter Brett <[hidden email]>

lcb-mode for Emacs: https://github.com/peter-b/lcb-mode

_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: HTML5 export broken in 9.0.0-dp-6?

prothero--- via use-livecode
In reply to this post by prothero--- via use-livecode
OK, thanks. I’ll try an earlier DP.

Regards,

Terry...

On 17/03/2017 7:04 pm, "use-livecode on behalf of Ali Lloyd via use-livecode" <[hidden email] on behalf of [hidden email]> wrote:

    Hi Terry,
    This is a known issue, flagged in the release email (but not the release
    notes unfortunately). Here is the bug:
    http://quality.livecode.com/show_bug.cgi?id=19399
   
    On Fri, Mar 17, 2017 at 7:04 AM Terry Judd via use-livecode <
    [hidden email]> wrote:
   
    >  Is it just me or is HTML5 export not working in 9.0.0-dp-6? A stack that
    > worked in 8.1.2 just a few minutes ago now throws an exception...
    >
    > To use dlopen, you need to use Emscripten's linking support, see
    > https://github.com/kripken/emscripten/wiki/Linking
    >
    > ...and I seem to get the same thing event with a brand new stack just
    > containing a single button. In the past I only saw this error when I
    > accidently included something in the stack that it didn’t like (like a
    > widget or a substack). Any ideas?
    >
    > Regards,
    >
    > Terry...
    >
    >
    > _______________________________________________
    > use-livecode mailing list
    > [hidden email]
    > Please visit this url to subscribe, unsubscribe and manage your
    > subscription preferences:
    > http://lists.runrev.com/mailman/listinfo/use-livecode
    _______________________________________________
    use-livecode mailing list
    [hidden email]
    Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
    http://lists.runrev.com/mailman/listinfo/use-livecode
   

_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Loading...